Modify

Opened 5 years ago

Last modified 4 years ago

#12672 new defect

which version cover xl2tp and multiwan

Reported by: anonymous Owned by: developers
Priority: highest Milestone: Barrier Breaker 14.07
Component: packages Version: Trunk
Keywords: Cc:

Description

Hi all,
I need an openswan ipsec xl2tp solution, combined with multiwan.

Openswan with xl2tp works very nice with backfire, but the new multiwan feature is missed in backfire. In the trunk version and the release candidat of Attidude Adjustment ipsec and multiwan works very nice - but I cant find the xl2tp Packagen.

xl2tp is gone! Fails with "Unknown package 'xl2tp'" or xl2tp fails to work in Attidude Adjustment. #

My question:

Is there a way to run ipsec with xl2tp and multiwan?

I build many scripts to run ipsec on multiwan:

IPADDR=$ip

if [ $NUM -gt 0 ]
then

sed -i "s/left=.*/left=${IPADDR}/" /etc/ipsec.conf
/etc/init.d/ipsec restart
/etc/init.d/firewall restart
logger "New ip address $IPADDR - ipsec restarted"

fi

this script eliminates the trouble with multiple default routes on multi wan.

But the xl2tpd daemon fails to connect. In Backfire everything on xl2tp works fine. But in Attidude Adjustment every xl2tp connection failed.

Attachments (0)

Change History (2)

comment:1 Changed 5 years ago by anonymous

I'm running xl2tpd on Attitude Adjustment 12.09RC1

opkg install xl2tpd

most likely you don't have proper routing defined or name resolving is not working

comment:2 Changed 4 years ago by jow

  • Milestone changed from Attitude Adjustment 12.09 to Barrier Breaker 14.07

Milestone Attitude Adjustment 12.09 deleted

Add Comment

Modify Ticket

Action
as new .
Author


E-mail address and user name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.